; -------------------------------------
; scriptnaam:	Alt-U-knop
; versie:	6.2 - 2.2
; gemaakt:	November 2019
; door:		Carel Plantagie
; voor:		Aldfaer 6.2 en hoger
; -------------------------------------

; Overzicht sneltoetsen:
; ======================
; Alt+U = plak Notitie uit GeldersArchief of WieWasWie
; -------------------------------------
; -------------------------------------

; -------------------------------------
; Alt+U: 
; - Toelichting op het gebruik:
;   . Start Aldfaer en breng een persoon met notitieveld in beeld.
;   . Start AltU (een "U" verschijnt in uw Taakbalk)
;   . Start uw browser 'FireFox'.
;   . Surf naar wiewaswie.nl of geldersarchief.nl
;   . Zoek/selecteer een gebeurtenis van een persoon
;   . Selecteer de gewenste tekst en geef [Ctrl]+[C]
;   . Selecteer in Aldfaer het notitieveld en geef [Alt]+[U]
;   . De tekst wordt opgemaakt weergegeven.
; -------------------------------------
!U::
	; Haal de geselecteerde informatie
	;
	MyCode := clipboard

	; Indien leeg, geef een melding en stop
	;
	If MyCode=
	{
		MsgBox, 17, Aldfaer-Hotkeys, Geen geselecteerde tekst gevonden.
		return
	}
	; Selecteer alvast alles wat we gaan vervangen (simuleer Ctrl+A)
	;
	Send ^a

	Van  := ":"
	Van1 := ": "
	Van2 := ":  "
	Van3 := ":   "
	Naar := ":" . A_Tab
	Sp2  := "  "
	Notitie := ""
	Loop, parse, MyCode, `n, `r
	{
		; Haal een regel en autoTrim de spaties
		;
		Regel =%A_LoopField%
		If Regel<>
		{
			; v2 aanvullingen; plaats dubbele punt
			;
			StringReplace, Regel, Regel, Aktenummer, Aktenummer:,
			StringReplace, Regel, Regel, Akteplaats, Akteplaats:,
			StringReplace, Regel, Regel, Aktesoort, Aktesoort:,
			StringReplace, Regel, Regel, Archief, Archief:,
			StringReplace, Regel, Regel, Beroep, Beroep:,
			StringReplace, Regel, Regel, Bronvermelding, Bronvermelding:,
			StringReplace, Regel, Regel, Bruid, Bruid:,
			StringReplace, Regel, Regel, Bruid:egom, Bruidegom:,
			StringReplace, Regel, Regel, Collectiegebied, Collectie,
			StringReplace, Regel, Regel, Collectie, Collectie:,
			StringReplace, Regel, Regel, Datum, Datum:,
			StringReplace, Regel, Regel, Documenttype, Documenttype:,
			StringReplace, Regel, Regel, Echtgenoot, Echtgenoot:,
			StringReplace, Regel, Regel, Echtgenote, Echtgenote:,
			StringReplace, Regel, Regel, instelling, instell:,
			StringReplace, Regel, Regel, Gebeurtenisplaats, Plaats:,
			StringReplace, Regel, Regel, Gebeurtenis, Gebeurtenis:,
			StringReplace, Regel, Regel, Geboorteplaats, Geb.plaats:,
			StringReplace, Regel, Regel, Geregistreerde, Geregistreerde:,
			StringReplace, Regel, Regel, Geslacht, Geslacht:,
			StringReplace, Regel, Regel, Gevangene, Gevangene:,
			StringReplace, Regel, Regel, Kind, Kind:,
			StringReplace, Regel, Regel, Leeftijd, Leeftijd:,
			StringReplace, Regel, Regel, Loteling, Loteling:,
			StringReplace, Regel, Regel, Moeder, Moeder:,
			StringReplace, Regel, Regel, Opmerking, Opmerking:,
			StringReplace, Regel, Regel, Overledene, Overledene:,
			StringReplace, Regel, Regel, Partner, Partner:,
			StringReplace, Regel, Regel, Registratiedatum, Registr.datum:,
			StringReplace, Regel, Regel, Registratienummer, Registratienr:,
			StringReplace, Regel, Regel, Vader, Vader:,
			StringReplace, Regel, Regel, Weduwe van, Weduwe van:,
			StringReplace, Regel, Regel, Weduwnaar van, Weduwnaar van:,
			;
			; v2 aanvullingen; verwijder onterechte dubbele punten
			;
			StringReplace, Regel, Regel, Bruid: is, Bruid is,
			StringReplace, Regel, Regel, Bruidegom: is, Bruidegom is,
			StringReplace, Regel, Regel, Drents Archief:, Drents Archief,
			StringReplace, Regel, Regel, Gelders Archief:, Gelders Archief,
			StringReplace, Regel, Regel, GemeenteArchief:, Gemeentearchief,
			StringReplace, Regel, Regel, Hollands Archief:, Hollands Archief,
			StringReplace, Regel, Regel, Nationaal Archief:, Nationaal Archief,
			StringReplace, Regel, Regel, Utrechts Archief:, Utrechts Archief,
			StringReplace, Regel, Regel, r: van de bruidegom, r b.gom:,
			StringReplace, Regel, Regel, r: van de bruid, r bruid:,
			StringReplace, Regel, Regel, geen Beroep: vermeld, geen beroep vermeld,
			StringReplace, Regel, Regel, van Beroep:, van beroep,
			StringReplace, Regel, Regel, zonder Beroep:, zonder beroep,
			StringReplace, Regel, Regel, 1 kind:, 1 kind,
			StringReplace, Regel, Regel, 2 kind:eren, 2 kinderen,
			StringReplace, Regel, Regel, ::, :,
			;
			; Inkorten of uitbreiden van de tekst
			;
			StringReplace, Regel, Regel, Geboortedatum:, Geb.datum:,
			StringReplace, Regel, Regel, Geboorteplaats:, Geb.plaats:,
			StringReplace, Regel, Regel, Kind:, Geboorte van:,
			StringReplace, Regel, Regel, Huwelijksdatum:, Huw.datum:,
			StringReplace, Regel, Regel, Huwelijksplaats:, Huw.plaats:,
			StringReplace, Regel, Regel, r bruidegom:, r b.gom:,
			StringReplace, Regel, Regel, Overlijdensdatum:, Ovl.datum:,
			StringReplace, Regel, Regel, Overlijdensplaats:, Ovl.plaats:,
			StringReplace, Regel, Regel, Vestigings datum:, Vest.datum:,
			StringReplace, Regel, Regel, Toegangsnummer:, Toegangsnr:,
			StringReplace, Regel, Regel, Inventarisnummer:, Inventarisnr:,
			StringReplace, Regel, Regel, Gebeurtenisplaats:, Plaats:,
			StringReplace, Regel, Regel, instelling:, instell:,
			StringReplace, Regel, Regel, Collectiegebied:, Collectie:,
			StringReplace, Regel, Regel, Registratiedatum:, Registr.datum:,
			;
			; Ga 2 spaties inspringen bij: Bruid(egom), Vader, Moeder en Echtgeno()ot(e).
			;
			If InStr(Regel, "Bruid") = 1
				Regel := Sp2 . Regel
			If InStr(Regel, "Vader") = 1
				Regel := Sp2 . Regel
			If InStr(Regel, "Moeder") = 1 
				Regel := Sp2 . Regel
			If InStr(Regel, "Echtgen") = 1
				Regel := Sp2 . Regel
			;
			; Ga 4 spaties inspringen bij korte woordjes.
			;
			If InStr(Regel, "Leeftijd") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Doopplaats") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Geslacht") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Beroep") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Naam:") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Voornaam") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Adres:") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Datum:") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Plaats:") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Boek:") = 1
				Regel := Sp2 . Sp2 . Regel
			;
			; Bij een regel met een 'dubbele punt':
			;    Als het een regel betreft met tekst hierachter:
			; Vervang de spaties door een Tab
			; Voeg de Regel toe aan de Notitie met CRLF
			;    Anders:
			; Plaats een Tab achter de 'dubbele punt'
			; Voeg de Regel toe aan de Notitie zonder CRLF
			; Bij een regel zonder een 'dubbele punt':
			; Voeg de Regel toe aan de Notitie met CRLF
			;
			If InStr(Regel, ":") > 0
				If InStr(Regel, Van1) > 0
				{
					StringReplace, Regel, Regel, %Van3%, %Van%, All
					StringReplace, Regel, Regel, %Van2%, %Van%, All
					StringReplace, Regel, Regel, %Van1%, %Van%, All
					StringReplace, Regel, Regel, %Van%, %Naar%, All
					Notitie := Notitie . Regel . "`r`n"
				}
				Else
				{
					StringReplace, Regel, Regel, %Van%, %Naar%, All
					Notitie := Notitie . Regel
				}
			Else
				Notitie := Notitie . Regel . "`r`n"
			;End-If
			}
		;End-If
		}
	;End-Loop
	; Plaats de Notitie in de selectie (toetsenbordbuffer)
	; En plak de tekst (simuleer Ctrl+V)
	;
	clipboard := Notitie
	Sleep 500
	Send ^v

return
; -------------------------------------
